#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Menu_Bar.H>
#include <stdio.h>
Fl_Menu_Item *G_item = 0;
void menu_cb(Fl_Widget* w, void* userdata) {
  Fl_Menu_* mw = (Fl_Menu_*)w;
  const Fl_Menu_Item* m = mw->mvalue();
  if (m) printf("%s (userdata=%p)\n", m->label(), m->user_data());
  // WHEN ITEM "One" IS PICKED, CALL setonly() FOR THE COLOR ITEM
  if ( strcmp(m->label(), "One") == 0 ) G_item->setonly();	// "old" way
}
int main() {
  static Fl_Menu_Item menutable[] = {
    {"Red",	0, menu_cb, (void *)0x101, FL_MENU_RADIO},	// group of radio items at /very top/ of menu
    {"Orange",	0, menu_cb, (void *)0x102, FL_MENU_RADIO},
    {"Yellow",	0, menu_cb, (void *)0x103, FL_MENU_RADIO},
    {"Submenu", 0, 0,       0,             FL_SUBMENU},
      {"One",   0, menu_cb, (void *)0x201, FL_MENU_RADIO},	// picking this calls setonly() on one of the colors
      {"Two",   0, menu_cb, (void *)0x202, FL_MENU_RADIO},
      {0},
    {0}
  };
  Fl_Double_Window win(400,200);
  win.begin();
    Fl_Menu_Bar menubar(0,0,win.w(),30);
    menubar.menu(menutable);
  G_item = (Fl_Menu_Item*)menubar.find_item("Red");	// the color item that will be setonly() when item 'One' is picked
  win.end();
  win.show();
  return Fl::run();
}
